# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_get_principal - Get the default principal of a credential cache.

krb5_error_code krb5_cc_get_principal(krb5_context context, krb5_ccache cache, krb5_principal *principal)

param

  [in] context - Library context

  [in] cache - Credential cache handle

  [out] principal - Primary principal

retval

  - 0 Success

return

  - Kerberos error codes

Returns the default client principal of a credential cache as set by `krb5_cc_initialize()` .

Use `krb5_free_principal()` to free principal when it is no longer needed.